Creators
Create conversation webhook
Register an HTTPS webhook for one creator. Select handoff, AI status changed, AI blocked changed, and message sent events. Save the returned signing secret; only one webhook per creator and API connection is allowed.
POST
/v1/agencies/{agencyId}/creators/{creatorId}/webhooksRegister an HTTPS webhook for one creator. Select handoff, AI status changed, AI blocked changed, and message sent events. Save the returned signing secret; only one webhook per creator and API connection is allowed.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/agencies/string/creators/string/webhooks" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "url": "http://example.com" }'{ "data": { "creatorId": "string", "id": "string", "createdAt": "2019-08-24T14:15:22Z", "url": "string", "events": [ "string" ], "signingSecret": "string" }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}